package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsSample;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0样品留存登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsSampleService extends IService<JsSample> {

    AjaxResult add(JsSample sample);

    AjaxResult edit(JsSample sample);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String sampleNum);

    AjaxResult listAll();
}
